Bug 1576922 - Persistent Volumes Report outputs Capacity in hash
Summary: Persistent Volumes Report outputs Capacity in hash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Parthvi Vala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 17:56 UTC by David Luong
Modified: 2019-02-07 23:02 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:11 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (23.92 KB, image/png)
2018-05-10 17:56 UTC, David Luong
no flags Details
Tested on 5.10.0.18 (96.40 KB, image/png)
2018-10-04 09:49 UTC, Parthvi Vala
no flags Details
5.10.0.18 verified bug (124.06 KB, image/png)
2018-10-09 12:36 UTC, Parthvi Vala
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 0 None None None 2019-02-07 23:02:18 UTC

Description David Luong 2018-05-10 17:56:15 UTC
Created attachment 1434482 [details]
screenshot

Description of problem:
Persistent Volumes Report outputs Capacity in hash

Version-Release number of selected component (if applicable):
5.9.2

How reproducible:
Always

Steps to Reproduce:
1.  Create a report utilizing Persistent Volumes
2.  Use Capacity as one of the columns
3.

Actual results:

You get a hash instead of just the number:

Capacity
{:storage=>10737418240}	

Can also look at example in attached screenshot

Expected results:
You just get the number.  

Additional info:
It also just fails to find any records if you try to use the format "Suffixed Bytes"

Comment 3 CFME Bot 2018-05-29 18:21:37 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/3083fcf6d3cc25de52812623d6286d68136a2c01
commit 3083fcf6d3cc25de52812623d6286d68136a2c01
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Fri May 11 14:43:27 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Fri May 11 14:43:27 2018 -0400

    added virtual column :storage which is entry in serialized Hash column :capacity. It will allow to show storage value on report as inumber instead of Hash entry.
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1576922

 app/models/persistent_volume.rb | 6 +
 1 file changed, 6 insertions(+)

Comment 4 Parthvi Vala 2018-10-04 09:49:58 UTC
Created attachment 1490433 [details]
Tested on 5.10.0.18

Comment 5 Parthvi Vala 2018-10-04 09:51:58 UTC
NOT FIXED. Tested on version: 5.10.0.18.20181003162715_dfcff5a.
See attachment - https://bugzilla.redhat.com/attachment.cgi?id=1490433

Comment 6 Yuri Rudman 2018-10-04 12:14:18 UTC
Parthvi,

Fix added new column available for report - "storage". There were no any changes on "Capacity" column.
Please take a look at screenshot in https://github.com/ManageIQ/manageiq/pull/17412,
It shows old not modified column "Capacity" and new one - "Storage"

Comment 7 Parthvi Vala 2018-10-09 12:36:58 UTC
Created attachment 1492041 [details]
5.10.0.18 verified bug

Comment 8 Parthvi Vala 2018-10-09 12:40:27 UTC
Hey Yuri,

I verified the bug again on 5.10.0.18.20181003162715_dfcff5a. I didn't realize I had to add a new column `Storage Capacity` to the report. My bad. But looks like the bug has been fixed.

Thanks,
Parthvi

Comment 9 errata-xmlrpc 2019-02-07 23:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.